Get heat-map points for filtered events.
post
/sia/v1/impact/events/heatMapPoints
Fetch coordinate-bearing impact points for events matching the given Events Smart Search filters.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
filters: array
filters
Applied Smart Search filters for the heat map.
Nested Schema : FilterChip
Type:
Show Source
object-
filter: string
Name of the smart search filter.
-
value:
value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Heat-map points retrieved successfully.
Root Schema : HeatMapResponse
Type:
Show Source
object-
count: integer
(int32)
Number of returned heat-map points.
-
eventId: string
Event document id.
-
items: array
items
Heat-map points.
Nested Schema : HeatMapPoint
Type:
Show Source
object-
childEventId: string
Child event id for impacts under a planned/simulated parent event.
-
entityType: string
Entity type of the impacted entity.
-
id: string
Impact document id.
-
latitude: number
(double)
Latitude of the impacted entity.
-
longitude: number
(double)
Longitude of the impacted entity.
-
name: string
Name of the impacted entity.
-
specification: string
Specification of the impacted entity.
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred